
<!DOCTYPE html>
<html>
	<title>ModalAI VOXL Portal</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="./css/w3.css">
	<link rel="stylesheet" href="./css/xterm.min.css">
	<link rel="icon" href="./images/portal.png">
    
    <style> 
        body {
            margin: 0;
            height: 100vh;
            flex-direction: column;
            justify-content: space-between;
        }

        .main-body {
            padding-top: 20px;
            padding-bottom: 10px;
        }
   
        .loader {
            border: 16px solid #f3f3f3;
            border-top: 16px solid #3498db;
            border-radius: 50%;
            width: 120px;
            height: 120px;
            animation: spin 2s linear infinite;
            display: none;
            margin: 20px auto;
        }

        .grid-container {
            display: grid;
            grid-template-columns: auto auto auto;
            background-color: #d0e7e9;
            padding: 10px;
        }

        .grid-item {
            background-color: rgba(255, 255, 255, 0.8);
            border: 1px solid rgba(0, 0, 0, 0.8);
            padding: 20px;
            font-size: 30px;
            text-align: center;
        }

        @keyframes spin {
            0% {transform: rotate(0deg);}
            100% {transform: rotate(360deg);}
        }


        .orientation-image-container {
            padding: 1px;
        }

        .orientation-image {
            position: relative; 
            display: inline-block;
            border: 4px solid red;
            width: 20%;
        }

        .orientation-image-img {
            display: block;
            width: 100%;
            height: 100%;
        }

        .orientation-image-svg {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 60%;
            z-index: 1;
        }

        .choose_sensor_title {
            font-size: 20px;
        }
        
        .calibration_menu {
            padding-left: 30px;
            font-size: 20px;
        }

        .progress-stats-container {
            width: 100%;
            height: 150px;
            background-color: #f3f3f3;
            padding-left: 10px;
            margin-bottom: 10px;
        }

        .progress-stats-title {
            font-size: 20px;
        }

    
    </style>
	<header>
		<script src="./js/3rd_party/jquery-3.6.0.js"></script>
		<script src="./js/3rd_party/xterm.min.js"></script>
		<script>
		$(function(){
			$("#header").load("header.html");
		});
		</script>
		<div id="header" class="w3-container w3-green" style="height:50px; align-items: center; display:flex;">
			<h1>VOXL Web Portal</h1>
		</div>
	</header>

	<body>
        <div> 
            <div class="main-body" style="align-items:center; display:flex;">
                
                <div class="choose_sensor_title">Choose sensor to calibrate:</div>
                
                <div class="calibration_menu">
                    <select id="sensor-select">
                        <option value="Gyro">Gyro</option>
                        <option value="Level">Level Horizon</option>
                        <option value="Accel">Accelerometer</option>
                        <option value="Mag">Magnetometer</option>
                    </select>
                    
                    <button id="start_calibration_button" onclick="calibrateSensor()">Start Calibration</button>
                    <button id="cancel_calibration_button" onClick="cancelCalibration()">Cancel Calibration</button>
                    <div id="loading-spinner" class="loader" style = "text-align:center;"></div>
                </div>
            </div>
        </div>


        <div class="progress-stats-container">
            <div class="progress-stats-title">
                Progress
            </div>
            <div>
                <p id="calibration-status"></p>
            </div>
    
            <div>
                <p id="orientationCalAreaHelpText"></p>
            </div>
    
            <div>
                <p id="progressPercentText"></p>
            </div>
        </div>

        <div class="orientation-image-container">
            <div class='orientation-image' id="accel_down">
                <img class="orientation-image-img" src="images/accel_down.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_down_arrow" />
            </div>
            <div class='orientation-image' id="accel_up">
                <img class="orientation-image-img" src="images/accel_up.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_up_arrow" />
            </div>
            <div class='orientation-image' id="accel_front">
                <img class="orientation-image-img" src="images/accel_front.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_front_arrow" />
            </div>
        </div>
        <div class="orientation-image-container">
            <div class='orientation-image' id="accel_back">
                <img class="orientation-image-img" src="images/accel_back.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_back_arrow" />
            </div>
            <div class='orientation-image' id="accel_left">
                <img class="orientation-image-img" src="images/accel_left.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_left_arrow" />
            </div>
            <div class='orientation-image' id="accel_right">
                <img class="orientation-image-img" src="images/accel_right.png"/>
                <img class="orientation-image-svg" src="images/counter-clockwise-arrow.svg" id="accel_right_arrow" />
            </div>
        </div>
	</body>


    <script src="./js/calibration.js"></script>
</html>
